#!/bin/bash

export basf2_version='prerelease-09-00-00c'
export python_version='python3.11'
export env_name='cleanup_env'

# ===================================================================
# From this point onwards, no changes should be made to the script.
# Only modify the code above this comment block.
# ===================================================================

# setup  basf2
echo 'Start setting up environment'
export GNN_CLEANUP_DIR=$PWD
source /cvmfs/belle.cern.ch/tools/b2setup 
b2setup $basf2_version 

# store current path and venv path
OLD_PATH=$PATH # save PATH to fix venv stuff later
export VENV_PATH=$(pwd)/$env_name

# create virtual environment and install packages if it does not exist
if [ ! -d "$VENV_PATH" ]; then
  echo 'Creating virtual environment'
  $python_version -m venv $VENV_PATH
  export PATH=$OLD_PATH:$VENV_PATH/bin
  export PYTHONPATH=$PYTHONPATH:$VENV_PATH/lib/$python_version/site-packages/
  export PYTHONUSERBASE=$VENV_PATH
  pip install -r requirements.txt
fi

# source the virtual environment and set the paths
source $VENV_PATH/bin/activate

export PATH=$OLD_PATH:$VENV_PATH/bin
export PYTHONPATH=$PYTHONPATH:$VENV_PATH/lib/$python_version/site-packages/
export PYTHONUSERBASE=$VENV_PATH